package pl.edu.pwr.tkubik.javatz.jakartaexample.model;

import jakarta.persistence.*;

@Entity
public class Employee {
    @Id
    int id;

    @AssociationOverride(
            name="phoneNumbers",
            joinTable=@JoinTable(
                    name="EMPPHONES",
                    joinColumns=@JoinColumn(name="EMP"),
                    inverseJoinColumns=@JoinColumn(name="PHONE")
            )
    )
    @Embedded
    ContactInfo contactInfo;

    // ...
}